Title
#users-public
m

Mario Muuk

09/14/2022, 7:37 AM
Hi, After update from QuestDB version 6.1.1 to latest (Running in a docker container) . Mounted on the same volume as the old DB. Logs are showing errors `E i.q.c.p.PGConnectionContext error [pos=-1, msg=
Invalid metadata at fd=24. Metadata version does not match runtime version
, errno=
0]
What could be the problem ?
Alex Pelagenko

Alex Pelagenko

09/14/2022, 8:05 AM
There is probably data upgrade step from the version you coming from
8:05 AM
The error means that the data is of a wrong format
8:06 AM
Why 6.1 btw, not latest?
m

Mario Muuk

09/14/2022, 8:15 AM
Thank you for your response . Is there a fix for that ? or documentation
Alex Pelagenko

Alex Pelagenko

09/14/2022, 8:19 AM
Upgrade should happen automatically, it may failed though
8:20 AM
If you delete file upgrade.d and restart the update will be reattempted
8:21 AM
You probably will see an error in the logs